Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.log
Class NoopJdbcEventLogger

    java.lang.Object
      org.apache.cayenne.log.NoopJdbcEventLogger

All Implemented Interfaces:
  JdbcEventLogger

    public class NoopJdbcEventLogger

extends java.lang.Object
implements JdbcEventLogger

Since:
  3.1

Method Summary
`static NoopJdbcEventLogger` | `getInstance()`
`boolean` | `isLoggable()` Returns true if current thread default log level is high enough to generate output.
`void` | `log(java.lang.String message)` Logs an arbitrary message.
`void` | `logBeginTransaction(java.lang.String transactionLabel)`
`void` | `logCommitTransaction(java.lang.String transactionLabel)`
`void` | `logConnect(java.lang.String dataSource)` Logs database connection event using container data source.
`void` | `logConnect(java.lang.String url, java.lang.String userName, java.lang.String password)`
`void` | `logConnectFailure(java.lang.Throwable th)`
`void` | `logConnectSuccess()`
`void` | `logGeneratedKey(DbAttribute attribute, java.lang.Object value)`
`void` | `logPoolCreated(DataSourceInfo dsi)` Logs database connection event.
`void` | `logQuery(java.lang.String sql, java.util.List<?> params)`
`void` | `logQuery(java.lang.String sql, java.util.List<DbAttribute> attrs, java.util.List<?> params, long time)`
`void` | `logQueryError(java.lang.Throwable th)`
`void` | `logQueryParameters(java.lang.String label, java.util.List<DbAttribute> attrs, java.util.List<java.lang.Object> parameters, boolean isInserting)`
`void` | `logRollbackTransaction(java.lang.String transactionLabel)`
`void` | `logSelectCount(int count, long time)`
`void` | `logUpdateCount(int count)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static NoopJdbcEventLogger getInstance()

### log

    public void log(java.lang.String message)

  Description copied from interface: `JdbcEventLogger`
  Logs an arbitrary message.

  Specified by:
    `log` in interface `JdbcEventLogger`

### logConnect

    public void logConnect(java.lang.String dataSource)

  Description copied from interface: `JdbcEventLogger`
  Logs database connection event using container data source.

  Specified by:
    `logConnect` in interface `JdbcEventLogger`

### logConnect

    public void logConnect(java.lang.String url,
                           java.lang.String userName,
                           java.lang.String password)

  Specified by:
    `logConnect` in interface `JdbcEventLogger`

### logPoolCreated

    public void logPoolCreated(DataSourceInfo dsi)

  Description copied from interface: `JdbcEventLogger`
  Logs database connection event.

  Specified by:
    `logPoolCreated` in interface `JdbcEventLogger`

### logConnectSuccess

    public void logConnectSuccess()

  Specified by:
    `logConnectSuccess` in interface `JdbcEventLogger`

### logConnectFailure

    public void logConnectFailure(java.lang.Throwable th)

  Specified by:
    `logConnectFailure` in interface `JdbcEventLogger`

### logGeneratedKey

    public void logGeneratedKey(DbAttribute attribute,
                                java.lang.Object value)

  Specified by:
    `logGeneratedKey` in interface `JdbcEventLogger`

### logQuery

    public void logQuery(java.lang.String sql,
                         java.util.List<?> params)

  Specified by:
    `logQuery` in interface `JdbcEventLogger`

### logQuery

    public void logQuery(java.lang.String sql,
                         java.util.List<DbAttribute> attrs,
                         java.util.List<?> params,
                         long time)

  Specified by:
    `logQuery` in interface `JdbcEventLogger`

### logQueryParameters

    public void logQueryParameters(java.lang.String label,
                                   java.util.List<DbAttribute> attrs,
                                   java.util.List<java.lang.Object> parameters,
                                   boolean isInserting)

  Specified by:
    `logQueryParameters` in interface `JdbcEventLogger`

### logSelectCount

    public void logSelectCount(int count,
                               long time)

  Specified by:
    `logSelectCount` in interface `JdbcEventLogger`

### logUpdateCount

    public void logUpdateCount(int count)

  Specified by:
    `logUpdateCount` in interface `JdbcEventLogger`

### logBeginTransaction

    public void logBeginTransaction(java.lang.String transactionLabel)

  Specified by:
    `logBeginTransaction` in interface `JdbcEventLogger`

### logCommitTransaction

    public void logCommitTransaction(java.lang.String transactionLabel)

  Specified by:
    `logCommitTransaction` in interface `JdbcEventLogger`

### logRollbackTransaction

    public void logRollbackTransaction(java.lang.String transactionLabel)

  Specified by:
    `logRollbackTransaction` in interface `JdbcEventLogger`

### logQueryError

    public void logQueryError(java.lang.Throwable th)

  Specified by:
    `logQueryError` in interface `JdbcEventLogger`

### isLoggable

    public boolean isLoggable()

  Description copied from interface: `JdbcEventLogger`
  Returns true if current thread default log level is high enough to generate output.

  Specified by:
    `isLoggable` in interface `JdbcEventLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.